%global srcname wikitcms

Name:           python-wikitcms
Version:        1.13.2
Release:        1%{?dist}
Summary:        Fedora QA wiki test management Python library

Group:          System Environment/Libraries
License:        GPLv3+
URL:            https://www.happyassassin.net/wikitcms
Source0:        https://www.happyassassin.net/wikitcms/releases/%{srcname}-%{version}.tar.xz
BuildArch:      noarch

# mwclient is Python 2 only for now, hence no Python 3 wikitcms
Provides:       python2-wikitcms
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
Requires:       python-mwclient >= 0.7
Requires:       python2-fedfind >= 1.6
Requires:       python2-cached_property

%description
python-wikitcms is a library for interacting with Fedora's wiki-based 'test
management' system. It can:

* Create the pages for release validation test events
* Find existing release validation event pages, in various ways
* Report test results

The wiki-based test management system itself is documented at:
https://fedoraproject.org/wiki/Wikitcms

%prep
%setup -q -n %{srcname}-%{version}

%build
%{__python2} setup.py build

%install
rm -rf %{buildroot}
%{__python2} setup.py install --skip-build --root %{buildroot}

%files
%{!?_licensedir:%global license %%doc}
%license COPYING
%doc README.md
%{python2_sitelib}/%{srcname}*

%changelog
* Tue Oct 27 2015 Adam Williamson <awilliam@redhat.com> - 1.13.2-1
- new release 1.13.2: fix triplet_sort when release is an int (relval)

* Mon Oct 26 2015 Adam Williamson <awilliam@redhat.com> - 1.13.1-1
- new release 1.13.1: another sorting fix

* Tue Oct 20 2015 Adam Williamson <awilliam@redhat.com> - 1.13-1
- new release 1.13: sorting improvements

* Sat Sep 19 2015 Adam Williamson <awilliam@redhat.com> - 1.12.3-1
- new release 1.12.3: use fedfind 'shortdesc' for download table
- requires fedfind >= 1.6 for shortdesc

* Thu Sep 17 2015 Adam Williamson <awilliam@redhat.com> - 1.12.2-1
- new release 1.12.2: drop a stray debug print, better wiki download tables
- Provides: python2-wikitcms
- requires fedfind >= 1.5.1 for the download table improvements

* Fri Aug 28 2015 Adam Williamson <awilliam@redhat.com> - 1.12.1-1
- new release 1.12.1: fix mwclient deprecation warning, minor updates

* Tue Jun 30 2015 Adam Williamson <awilliam@redhat.com> - 1.12-1
- new release 1.12: various bits added for Test Day handling

* Tue Apr 21 2015 Adam Williamson <awilliam@redhat.com> - 1.11.4-1
- new release 1.11.4: handling of 'bot' results (from automated test systems)

* Fri Apr 17 2015 Adam Williamson <awilliam@redhat.com> - 1.11.3-1
- new release 1.11.3: use system cached_property

* Thu Mar 26 2015 Adam Williamson <awilliam@redhat.com> - 1.11.2-1
- new release 1.11.2: bugfix (reporting multiple results to one row)

* Wed Mar 25 2015 Adam Williamson <awilliam@redhat.com> - 1.11.1-1
- new release 1.11.1: bugfix (affected relval size-check release guessing)

* Wed Mar 25 2015 Adam Williamson <awilliam@redhat.com> - 1.11-1
- new release 1.11: much more powerful result submission
- update description a bit

* Mon Mar 16 2015 Adam Williamson <awilliam@redhat.com> - 1.10.3-1
- new release 1.10.3: drop some unnecessary case normalization

* Wed Feb 18 2015 Adam Williamson <awilliam@redhat.com> - 1.10.2-1
- fix processing of Branched nightly pages

* Wed Feb 18 2015 Adam Williamson <awilliam@redhat.com> - 1.10.1-1
- revisions to event versioning, new get_validation_foo() methods, bugfixes

* Thu Feb 12 2015 Adam Williamson <awilliam@redhat.com> - 1.9.1-1
- new release 1.9.1: don't include a stray copy of fedfind

* Thu Feb 12 2015 Adam Williamson <awilliam@redhat.com> - 1.9-1
- new release 1.9: Download page creation, cleanups

* Wed Jan 07 2015 Adam Williamson <awilliam@redhat.com> - 1.8.4-1
- new release 1.8.4: fix page creation when no 'oldtext'

* Fri Jan 02 2015 Adam Williamson <awilliam@redhat.com> - 1.8.3-1
- new release 1.8.3: drop sanitization stuff (moved to relval), fix a bug

* Thu Jan 01 2015 Adam Williamson <awilliam@redhat.com> - 1.8.2-1
- new release 1.8.2: slightly stronger fix for last bug

* Thu Jan 01 2015 Adam Williamson <awilliam@redhat.com> - 1.8.1-1
- new release 1.8.1: serious security issue

* Tue Dec 23 2014 Adam Williamson <awilliam@redhat.com> - 1.8-1
- new release 1.8: multiple fixes and enhancements

* Fri Dec 19 2014 Adam Williamson <awilliam@redhat.com> - 1.7-1
- new release 1.7 (major overhaul)

* Tue Dec 16 2014 Adam Williamson <awilliam@redhat.com> - 1.6.1-1
- new release 1.6.1: revised nightly handling, bugfixes

* Tue Dec 09 2014 Adam Williamson <awilliam@redhat.com> - 1.5-1
- new release: nightly compose support

* Fri Oct 31 2014 Adam Williamson <awilliam@redhat.com> - 1.4.1-1
- new release (only enforces mwclient 0.7 dependency)

* Sat Oct 25 2014 Adam Williamson <awilliam@redhat.com> - 1.4-1
- new release 1.4 (API breaks all over)

* Fri Oct 24 2014 Adam Williamson <awilliam@redhat.com> - 1.3.1-1
- new release 1.3.1 (minor update)

* Tue Oct 21 2014 Adam Williamson <awilliam@redhat.com> - 1.3-1
- new release

* Thu Oct 16 2014 Adam Williamson <awilliam@redhat.com> - 1.2-1
- new release 1.2

* Mon Oct 13 2014 Adam Williamson <awilliam@redhat.com> - 1.1-1
- new release 1.1

* Mon Oct 06 2014 Adam Williamson <awilliam@redhat.com> - 1.0-1
- first build
